commit fcca0f0010f052ec98402be48e0928391f08001c
parent f6e05ef56092068cb2e841cb1faaaef5815e34e2
Author: Sven Möller <sven@svenmoeller.xyz>
Date: Sat, 26 Feb 2022 12:54:44 +0100
Added config
Diffstat:
3 files changed, 35 insertions(+), 0 deletions(-)
diff --git a/bin/.local/bin/news b/bin/.local/bin/news
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+curl -s https://news.svenmoeller.xyz/index.txt | fzf | xurls | xargs -r lh open
diff --git a/bin/.local/bin/newscript b/bin/.local/bin/newscript
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+[ -z "$1" ] && exit 1
+[ -f "$1" ] && echo "File already exists!" && exit 1
+
+touch "$1"
+chmod +x "$1"
+printf '#!/bin/sh\n\n\n' > "$1"
+vim + $1
diff --git a/dmenu/.local/src/dmenu/config.h b/dmenu/.local/src/dmenu/config.h
@@ -0,0 +1,23 @@
+/* See LICENSE file for copyright and license details. */
+/* Default settings; can be overriden by command line. */
+
+static int topbar = 1; /* -b option; if 0, dmenu appears at bottom */
+/* -fn option overrides fonts[0]; default X11 font or font set */
+static const char *fonts[] = {
+ "monospace:size=16"
+};
+static const char *prompt = NULL; /* -p option; prompt to the left of input field */
+static const char *colors[SchemeLast][2] = {
+ /* fg bg */
+ [SchemeNorm] = { "#bbbbbb", "#222222" },
+ [SchemeSel] = { "#eeeeee", "#005577" },
+ [SchemeOut] = { "#000000", "#00ffff" },
+};
+/* -l option; if nonzero, dmenu uses vertical list with given number of lines */
+static unsigned int lines = 0;
+
+/*
+ * Characters not considered part of a word while deleting words
+ * for example: " /?\"&[]"
+ */
+static const char worddelimiters[] = " ";